Bug 1421048 (deepin-sound-theme) - Review Request: deepin-sound-theme - Deepin sound theme
Summary: Review Request: deepin-sound-theme - Deepin sound theme
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-sound-theme
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2017-02-10 08:59 UTC by sensor.wen
Modified: 2018-07-22 13:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:31:58 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2017-08-06 10:45:25 UTC
Hello,

A few points:

 - You are packaging the git master but your SOURCE0 URL point to the released version. It's a no-no: the source in the SOURCE0 must be what is compiled. I'd recommend you to ask upstream to release a new version. Your other solutions are: package the last released version (but it will lack a LICENSE file), or package the master branch: in that case, your package name must follow the versionning guidelines: https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots
 - I'd like a slightly more descriptive description, like "Sound files for the Deeping Desktop Environment."
 - In any case, your description must end with a dot "."
 - PREFIX=%{_prefix} is not needed.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 29 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/deepin-sound-theme/review-deepin-sound-
     theme/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: deepin-sound-theme-15.10.1-0.1.20170806gitd2d7974.fc27.noarch.rpm
          deepin-sound-theme-15.10.1-0.1.20170806gitd2d7974.fc27.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Robert-André Mauchin 🐧 2017-08-08 17:28:29 UTC
Sorry but if you do a snapshot, you must include the date with the git revision, as I pointed out in my previous comment:
https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots

>That field must at minimum consist of the date in eight-digit "YYYYMMDD" format. >The packager MAY include up to 17 characters of additional information after the >date. The following formats are suggested:
>
>    YYYYMMDD.<revision>
>    YYYYMMDD<scm><revision> 
>
>Where <scm> is a short string identifying the source code control system upstream uses (e.g. "git", "svn", "hg") or the string "snap". <revision> is either a short git commit hash, a subversion revision number, or something else useful in identifying the precise revision in upstream's source code control system. Obviously if CVS is used, no such revision information exists, so it would be omitted, but otherwise it SHOULD be included.

Comment 4 Robert-André Mauchin 🐧 2017-08-23 11:08:54 UTC
ping @sensor.wen

Let's finish this package, just add a commitdate:

%global commitdate 20170515

Then:

Release:        1.%{commitdate}git%{shortcommit}%{?dist}

And:

* Sun Aug  6 2017 mosquito <sensor.wen@gmail.com> - 15.10.1-1.20170515gitd2d7974

Comment 5 sensor.wen 2017-08-31 16:38:02 UTC
https://github.com/FZUG/repo/commit/7fc5dc91c470421ccfd3387bbdb69d2ab07fc802

The latest release doesn't include the README and LICENSE files. I remember you tell me that can use urls to refer them. So i fix it.

Comment 6 Robert-André Mauchin 🐧 2017-09-01 05:47:21 UTC
All good then, package accepted.

Comment 7 Gwyn Ciesla 2017-09-01 11:41:04 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-sound-theme

Comment 8 Fedora Update System 2017-10-09 15:19:28 UTC
deepin-sound-theme-15.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e23f7e81cb

Comment 9 Fedora Update System 2017-10-11 06:27:40 UTC
deepin-sound-theme-15.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e23f7e81cb

Comment 10 Zamir SUN 2018-07-22 13:31:58 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.